---
updatedAt: 2025-09-30T15:27:32.000Z
agentTools:
  projectIndex: https://docs.nexiopay.com/llms.txt
---

# Update self

Updates user information.

<!-- theme: warning -->
> ⚠️ Try It
> 
> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](doc:sandbox-environments).


<div style="display:none;">

## Request parameters
- firstName
- lastName
- phone
- notifications

## Response parameters
- userName
- firstName
- lastName
- phone
- enabled
- notifications
- accessRights
- accessRights.merchantIds
- accessRights.role
- accountId
- role
- customAccess
- cognitoSub
- isEnabledForVTerm
- shouldShowPlatformAgreement
- shouldShowPricingAgreement
- dateCreated
- dateLastModified

</div>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Management API Reference",
    "version": "3.0.0",
    "description": "Use the Management endpoints to work with user accounts and logins.",
    "contact": {
      "name": "Integrations Support",
      "email": "integrations@nexiopay.com",
      "url": "https://nexiointegrations.slack.com/"
    },
    "license": {
      "name": "ISC",
      "url": "https://docs.nexiopay.com/page/license"
    }
  },
  "security": [
    {
      "Basic_Authentication": []
    },
    {
      "One-time-use_Token": []
    }
  ],
  "servers": [
    {
      "description": "Sandbox",
      "url": "https://api.nexiopaysandbox.com",
      "variables": {}
    }
  ],
  "components": {
    "securitySchemes": {
      "Basic_Authentication": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic authentication is a simple authentication scheme built into the HTTP protocol. \n\nFor the \"Try It\" feature, type your API username and password in the appropriate fields. The system then automatically creates the Authorization header that contains the word `Basic` followed by a space and a base64-encoded string `username:password`. \n\nFor example: `Authorization: Basic ZGVtbzpwQDU1dzByZA==` \n\nFor your own requests, learn how to do the conversion in the [Authentication](https://docs.nexiopay.com/docs/authentication#basic-authentication) guide. \n\nFor more information about this security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#basic-authentication-sample"
      },
      "One-time-use_Token": {
        "type": "apiKey",
        "name": "token",
        "in": "query",
        "description": "The one-time-use token authentication scheme requires a token supplied in the named query parameter that can only be used to submit a single API request and that expires after one hour. \n\nFor the \"Try It\" feature, first generate the one-time-use token through either the [Create one-time-use token](https://docs.nexiopay.com/reference/createonetimeusetoken) or the [Create APM one-time-use token](https://docs.nexiopay.com/reference/createapmonetimeusetoken) endpoint. Copy the resulting token and then paste it in the appropriate field for the current endpoint. \n\nFor your own requests, learn how to generate the one-time-use token in the [Authentication](https://docs.nexiopay.com/docs/authentication#one-time-use-tokens) guide. Then, use it as normal for this endpoint. \n\nFor more information about the \"apiKeys\" security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#security-scheme-object"
      }
    },
    "responses": {
      "401": {
        "description": "Unauthorized.\n\nFor help with this error and other error codes, see [Common errors](https://docs.nexiopay.com/docs/common-errors) in the Guides area.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "message": {
                  "type": "string",
                  "description": "A message from Nexio about the state of the request.",
                  "example": "Unauthorized"
                }
              }
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "User Management",
      "description": "APIs for user management"
    }
  ],
  "paths": {
    "/user/v3/self": {
      "put": {
        "description": "Updates user information.\n\n<!-- theme: warning -->\n> ⚠️ Try It\n> \n> To use the Try It feature for this endpoint, you must use the credentials for your [Sandbox API user](https://docs.nexiopay.com/docs/sandbox-environments).\n\n\n<div style=\"display:none;\">\n\n## Request parameters\n- firstName\n- lastName\n- phone\n- notifications\n\n## Response parameters\n- userName\n- firstName\n- lastName\n- phone\n- enabled\n- notifications\n- accessRights\n- accessRights.merchantIds\n- accessRights.role\n- accountId\n- role\n- customAccess\n- cognitoSub\n- isEnabledForVTerm\n- shouldShowPlatformAgreement\n- shouldShowPricingAgreement\n- dateCreated\n- dateLastModified\n\n</div>",
        "operationId": "UpdateSelf",
        "tags": [
          "User Management"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "firstName": {
                    "type": "string",
                    "title": "firstName",
                    "x-tags": [
                      "component"
                    ],
                    "description": "The user's first name.",
                    "example": "John"
                  },
                  "lastName": {
                    "type": "string",
                    "title": "lastName",
                    "x-tags": [
                      "component"
                    ],
                    "description": "The user's last name.",
                    "example": "Doe"
                  },
                  "phone": {
                    "type": "string",
                    "title": "phone",
                    "x-tags": [
                      "component"
                    ],
                    "description": "The user's phone number.",
                    "example": "15555555555"
                  },
                  "notifications": {
                    "type": "boolean",
                    "description": "Set to `true` to receive notifications.",
                    "example": true
                  }
                }
              },
              "examples": {
                "Update all possible parameters": {
                  "value": {
                    "firstName": "John",
                    "lastName": "Doe",
                    "phone": "15555555555",
                    "notifications": true
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "Basic_Authentication": []
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "title": "user",
                  "type": "object",
                  "x-tags": [
                    "object"
                  ],
                  "properties": {
                    "accountId": {
                      "type": "string",
                      "description": "Indicates the Nexio ID of the account the user is associated with."
                    },
                    "userName": {
                      "type": "string",
                      "description": "The username for the account.",
                      "example": "jdoe@example.com"
                    },
                    "accountType": {
                      "type": "string",
                      "description": "Indicates the type of account, which affects what features are available. Typically, will be `MERCHANT` or `PARTNER`.",
                      "example": "MERCHANT"
                    },
                    "enabled": {
                      "type": "boolean",
                      "description": "Indicates `true` if the user account is enabled.",
                      "example": true,
                      "default": true
                    },
                    "firstName": {
                      "$ref": "#/paths/~1user~1v3~1self/put/requestBody/content/application~1json/schema/properties/firstName"
                    },
                    "lastName": {
                      "$ref": "#/paths/~1user~1v3~1self/put/requestBody/content/application~1json/schema/properties/lastName"
                    },
                    "phone": {
                      "$ref": "#/paths/~1user~1v3~1self/put/requestBody/content/application~1json/schema/properties/phone"
                    },
                    "address1": {
                      "type": "string",
                      "description": "The business's physical address.",
                      "example": "2147 West Silverlake Drive"
                    },
                    "address2": {
                      "type": "string",
                      "description": "Additional business physical address information, if aline .",
                      "example": "Ste. 42"
                    },
                    "city": {
                      "type": "string",
                      "example": "Scranton",
                      "description": "The business's city."
                    },
                    "state": {
                      "type": "string",
                      "example": "PA",
                      "description": "The business's state. The value must be the [two-character state abbreviation](https://pe.usps.com/text/pub28/28apb.htm)."
                    },
                    "postalCode": {
                      "type": "string",
                      "description": "The business's postal code.",
                      "example": "18503"
                    },
                    "country": {
                      "type": "string",
                      "example": "US",
                      "description": "The [two-character (Alpha-2) ISO country code](https://www.iso.org/obp/ui/#search/code/) for the business's address."
                    },
                    "businessLegalName": {
                      "type": "string",
                      "description": "The business's legal name.",
                      "example": "[Business legal name]"
                    },
                    "billingContactFullName": {
                      "type": "string",
                      "description": "The business billing contact's full name.",
                      "example": "John Doe"
                    },
                    "billingContactPhone": {
                      "type": "string",
                      "description": "The business billing contact's phone number. Must be 10 characters long and include only digits.",
                      "example": "15555555555",
                      "minLength": 10,
                      "maxLength": 10
                    },
                    "billingContactEmail": {
                      "type": "string",
                      "example": "jdoe@example.com",
                      "format": "email",
                      "description": "The business billing contact's email address."
                    },
                    "isApiUser": {
                      "title": "isApiUser",
                      "description": "Indicates whether the user has the API user role.",
                      "type": "boolean",
                      "default": true,
                      "x-tags": [
                        "component"
                      ]
                    },
                    "isEnabledAuthorizedStatus": {
                      "title": "isEnabledAuthorizedStatus",
                      "description": "Indicates `true` when the account is configured to use \"authorized\" status. Indicates `false` when the account is configured to use \"pending\" status.",
                      "type": "boolean",
                      "default": false,
                      "x-tags": [
                        "component"
                      ]
                    },
                    "isEnabledForCybersourceAccountUpdater": {
                      "title": "isEnabledForCybersourceAccountUpdater",
                      "description": "Indicates whether the user is enabled for the [Account Updater](https://docs.nexiopay.com/docs/working-with-account-updater) feature.",
                      "type": "boolean",
                      "default": false,
                      "x-tags": [
                        "component"
                      ]
                    },
                    "isEnabledForAccountUpdater": {
                      "title": "isEnabledForAccountUpdater",
                      "description": "Indicates whether the user is enabled for the legacy version of the [Account Updater](https://docs.nexiopay.com/docs/working-with-account-updater) feature.",
                      "type": "boolean",
                      "default": false,
                      "x-tags": [
                        "component"
                      ]
                    },
                    "accessRights": {
                      "type": "object",
                      "description": "The user's access rights.",
                      "properties": {
                        "merchantIds": {
                          "type": "object",
                          "description": "A list of all the merchant IDs the user has access to, along with the level of access.<br/>  The merchant ID is the key; the role is the value. Possible roles are R (View-Only, has the ability to view data), W (Standard, can perform actions on data such as void, refund process, etc.), or A (Admin, has all the permissions of a standard user and can also create and edit other users).",
                          "example": {
                            "100039": "A"
                          },
                          "properties": {
                            "[merchant ID]": {
                              "type": "string",
                              "description": "The merchant ID for a specific account.",
                              "example": "\"100039\": \"A\""
                            }
                          }
                        },
                        "role": {
                          "type": "string",
                          "description": "The user's level of access for a specific account. Possible values include the following:\n* R - View-Only, has the ability to view data\n* W - Standard, can perform actions on data such as void, refund process, etc.\n* A - Admin, has all the permissions of a standard user and can also create and edit other users",
                          "example": "A"
                        }
                      }
                    },
                    "payoutAccessRights": {
                      "type": "object",
                      "description": "The user's access rights for Payouts.",
                      "example": {
                        "3927": "A"
                      },
                      "properties": {
                        "[payout account ID]": {
                          "type": "string",
                          "description": "A list of all the payout account IDs the user has access to, along with the level of access.<br/>  The payout account ID is the key; the role is the value. Possible roles are R (View-Only, has the ability to view data), W (Standard, can perform actions on data such as void, refund process, etc.), or A (Admin, has all the permissions of a standard user and can also create and edit other users).",
                          "example": "\"3927\": \"A\""
                        }
                      }
                    },
                    "loginInfo": {
                      "type": "object",
                      "description": "Indicates login information to the Nexio Dashboard for this user.",
                      "properties": {
                        "count": {
                          "type": "integer",
                          "example": 5,
                          "description": "Indicates the number of times this user has logged into the Dash."
                        },
                        "lastLogin": {
                          "type": "string",
                          "example": "2023-05-26T23:12:02.571Z",
                          "format": "date-time",
                          "description": "The date and time of the last login to the Dashboard as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC."
                        }
                      }
                    },
                    "notifications": {
                      "type": "object",
                      "description": "Indicates which email notifications the user subscribed to receive.",
                      "properties": {
                        "chargebacks": {
                          "type": "boolean",
                          "default": true,
                          "description": "Indicates whether the user subscribed to receive email notifications about chargebacks."
                        },
                        "largeExports": {
                          "type": "boolean",
                          "default": true,
                          "description": "Indicates whthe user subscribed to receive email notifications about large exports."
                        },
                        "fraud": {
                          "type": "boolean",
                          "default": true,
                          "description": "Indicates whether the user subscribed to receive email notifications about fraud."
                        },
                        "payoutBatches": {
                          "type": "boolean",
                          "default": true,
                          "description": "Indicates whether the user subscribed to receive email notifications about payout batches."
                        }
                      }
                    },
                    "role": {
                      "type": "string",
                      "description": "The user's custom role. "
                    },
                    "dateCreated": {
                      "type": "string",
                      "description": "The date and time at which the user was created, formatted as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC.",
                      "example": "2018-09-27T14:27:39.626Z"
                    },
                    "dateLastModified": {
                      "type": "string",
                      "description": "The date and time at which the user was last modified, formatted as an [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) date expressed in UTC.\n",
                      "example": "2019-03-08T00:58:27.893Z"
                    },
                    "cognitoSub": {
                      "type": "string",
                      "description": "For Nexio use only."
                    },
                    "isEnabledForVTerm": {
                      "type": "boolean",
                      "description": "For Nexio use only."
                    },
                    "shouldShowPlatformAgreement": {
                      "type": "boolean",
                      "description": "For Nexio use only."
                    },
                    "shouldShowPricingAgreement": {
                      "type": "boolean",
                      "description": "For Nexio use only."
                    }
                  }
                },
                "examples": {
                  "Example user": {
                    "value": [
                      {
                        "userName": "jdoe@yourwebsite.com",
                        "firstName": "John",
                        "lastName": "Doe",
                        "phone": "15555555555",
                        "enabled": true,
                        "notifications": false,
                        "accessRights": {
                          "merchantIds": {
                            "000999": "A"
                          },
                          "role": "A"
                        },
                        "accountId": "string",
                        "role": "string",
                        "customAccess": "string",
                        "cognitoSub": "g52679a2-tan5-4a56-b6gc-2592aedd373e",
                        "isEnabledForVTerm": true,
                        "shouldShowPlatformAgreement": true,
                        "shouldShowPricingAgreement": true,
                        "dateCreated": "2018-09-27T14:27:39.626Z",
                        "dateLastModified": "2019-03-08T00:58:27.893Z"
                      }
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "summary": "Update self"
      }
    }
  }
}
```